QGIS Application - Bug report #7362
No gml file is created when saving style for csv layer
2013-03-15 06:16 AM - magerlin -

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:1.8.0 Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 16336
Description

By using "Add delimited text Layer" | can use a csv point file very much like if it was a shapefile.

| can also set the styles in the Properties/style pane but when | try to save the style no .qmil file is created.
| get no error messages but no .gml file either.

The "Save As Default" button works well.

| have tested with several csv files and get same problem.

Other user have reproduced the error like me in win 7 both version 1.8 and dev.
The problem seems not to exist on Linux.

Se more details on OSGEO here:[[http://osgeo-org.1560.n6.nabble.com/Unable-to-save-style-for-csv-layer-td5040564.html]]

History

#1 - 2013-03-15 06:23 AM - Giovanni Manghi
- Affected QGIS version changed from master to 1.8.0
- Status changed from Open to Feedback

It works perfectly on ggis master, please test and report back. Cheers!

#2 - 2013-03-17 11:58 PM - magerlin -

Just installed 1.9.0-Master 5d42734.

Exactly same issue here - no gml file is created.

#3 - 2013-03-18 06:37 AM - magerlin -
In my first report | wrote "The "Save As Default" button works well".

This is not completely right - Size Scale field settings are not stored in the gml-file.

#4 - 2013-09-27 04:15 AM - Giovanni Manghi
- Resolution set to fixed
- Status changed from Feedback to Closed
http://osgeo-org.1560.n6.nabble.com/Unable-to-save-style-for-csv-layer-td5040564.html

it works fine on qgis 2.0, please reopen if necessary.
